/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { StandardDeviationIndicatorStrategy } from "./StandardDeviationIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class StandardDeviationIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new StandardDeviationIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return StandardDeviationIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(StandardDeviationIndicator.qp));
    }
    set qo(a) {
        this.h(StandardDeviationIndicator.qp, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
}
StandardDeviationIndicator.$t = markType(StandardDeviationIndicator, 'StandardDeviationIndicator', StrategyBasedIndicator.$);
StandardDeviationIndicator.qp = StrategyBasedIndicator.ql(20, StandardDeviationIndicator.$);
